> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# List event triggers

GET https://rest.test.zuora.com/events/event-triggers

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/events-and-notifications/custom-event-triggers/get-event-triggers

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `baseObject` (string, optional) — The Zuora object that trigger condition is defined upon. The format of the value in this field depends on the base object type: * Standard object: object name, which should follow the pattern ^\[A-Z]\[\w-]\*\$. For example, `Invoice`. * Custom object: `default__<custom_object_api_name>`. For example, `default__vehicle`.
- `eventTypeName` (string, optional) — The event type name. Should be specified in the pattern: ^\[A-Za-z]\{1,}\[\w-]\*\$
- `active` (string, optional) — The status of the event trigger.
- `start` (integer, optional, default: 0) — The first index of the query result. Default to 0 if absent, and the minimum is 0.
- `limit` (integer, optional, default: 10) — The maximum number of data records to be returned. Default to 10 if absent.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response

### 200

OK

- `data` (list of EventTrigger, optional)
- `next` (string, optional) — The link to the next page. No value if it is last page.

## Errors

### 400 Bad Request Error

Bad Request

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 500 Internal Server Error

Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

## Types

### EventTrigger

- `active` (boolean, optional) — The status of the trigger.
- `baseObject` (string, optional) — The base object that the trigger rule is defined upon. The format of the value in this field depends on the base object type: * Standard object: object name, which should follow the pattern ^\[A-Z]\[\w-]\*\$. For example, `Invoice`. * Custom object: `default__<custom_object_api_name>`. For example, `default__vehicle`.
- `condition` (string, optional) — The JEXL expression to be evaluated against object changes. See above for more information and an example.
- `description` (string, optional) — The description of the trigger.
- `eventType` (EventType, optional)
- `id` (string, optional)

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### EventType

- `displayName` (string, required) — The display name for the event type.
- `name` (string, required) — The name of the event. Should be unique, contain no space, and be in the pattern: ^\[A-Za-z]\{1,}\[\w\\-]\*\$
- `description` (string, optional) — The description of the event type.

## Examples

**Response**

```json
{
  "data": [
    {
      "active": true,
      "baseObject": "Invoice",
      "condition": "changeType == 'UPDATE' && Invoice.Status == 'Posted' && Invoice.Status_old != 'Posted' && Invoice.Amount > 1000.0",
      "description": "Trigger an event when an invoice is posted with amount over 1000",
      "eventType": {
        "displayName": "Large Invoice Posted",
        "name": "LargeInvoicePosted",
        "description": "An invoice is posted with amount over 1000"
      },
      "id": "ac1ee535e8524858a72edb464212729d"
    }
  ],
  "next": "https://api.zuora.com/events/event-triggers?start=1&limit=1"
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/events/event-triggers"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/events/event-triggers';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/events/event-triggers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/events/event-triggers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/events/event-triggers")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/events/event-triggers', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/events/event-triggers");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/events/event-triggers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```